PHPMD 1.4.1

PHPMD

PHPMD takes a given PHP source code base and look for several potential problems within that source. PHPMD can be seen as an user friendly frontend application for the raw metrics stream measured by PHP Depend. It aims to be a PHP equivalent of the well known Java tool PMD.

PHPMD will look for these problems:
- Possible bugs
- Suboptimal code
- Overcomplicated expressions
- Unused parameters, methods, properties

Requirements:
- PHP 5.2.3 or Higher
- PHP_Depend 0.10.0 or Higher

What's New in This Version:
- This release integrates some pull requests from GitHub.
- Additionally it closes some long pending bugs.

License type: GPL
Date added: 3 years, 10 months 26 days ago | Last updated: 1 year, 8 months 24 days ago

More popular Bug Tracking System

Listing Files

phpmd-phpmd-9c0c759
  • .gitignore
  • 11 Bytes
  • 02/29/2012 14:12:00
  • build.properties
  • 334 Bytes
  • 02/29/2012 14:12:00
  • .gitmodules
  • 194 Bytes
  • 02/29/2012 14:12:00
  • phpunit.xml.dist
  • 362 Bytes
  • 02/29/2012 14:12:00
setup
  • LICENSE
  • 1.5 KB
  • 02/29/2012 14:12:00
  • README.rst
  • 3.7 KB
  • 02/29/2012 14:12:00
  • CHANGELOG
  • 4.7 KB
  • 02/29/2012 14:12:00
  • AUTHORS.rst
  • 694 Bytes
  • 02/29/2012 14:12:00
src
conf
  • phar_bootstrap.stub
  • 720 Bytes
  • 02/29/2012 14:12:00
test
resources
files
ParserFactory
File
List All Files